<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'condition', language 'en_ar', version '2.2'.
 *
 * @package     condition
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['badavailabledates'] = 'Invalid dates. If ye set both dates, the \'Allow access from\' date should be before the \'until\' date.';
$string['badgradelimits'] = 'If ye set both an upper and lower grade limit, the upper limit must be higher than the lower limit.';
$string['configenableavailability'] = 'When enabled, this lets ye set conditions (based on date, grade, or completion) that control whether an activity or resource can be accessed.';
$string['gradeitembutnolimits'] = 'Ye must enter an upper or lower limit, or both.';
$string['gradelimitsbutnoitem'] = 'Ye must choose a grade item.';
$string['requires_grade_any'] = 'Not available until ye have a grade in <strong>{$a}</strong>.';
$string['requires_grade_max'] = 'Not available unless ye get an appropriate score in <strong>{$a}</strong>.';
$string['requires_grade_min'] = 'Not available until ye achieve a required score in <strong>{$a}</strong>.';
$string['requires_grade_range'] = 'Not available unless ye get a particular score in <strong>{$a}</strong>.';
