<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'grades', language 'en_ar', version '2.2'.
 *
 * @package     grades
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['dropxlowestwarning'] = 'Note: If ye use drop x lowest the grading assumes that all items in the category have the same point value. If point values differ results will be unpredictable';
$string['gradehistorylifetime_help'] = 'This specifies the length of time ye want to keep history of changes in grade related tables. It is recommended to keep it as long as possible. If ye experience performance problems or have limited database space, try to set lower value.';
$string['importskippednomanagescale'] = 'Ye don\'t have permission to add a new scale, so outcome "{$a}" was skipped as it required creating a new scale';
$string['includescalesinaggregation_help'] = 'Ye can change whether scales are to be included as numbers in all aggregated grades across all gradebooks in all courses. CAUTION: changing this setting will force all aggregated grades to be recalculated.';
$string['nooutcomes'] = 'Outcome items must be linked to a course outcome, but there are no outcomes for this course. Would ye like to add one?';
$string['noscales'] = 'Outcomes must be linked to a course scale or global scale, but there are none. Would ye like to add one?';
$string['notteachererror'] = 'Ye must be a teacher to use this feature.';
$string['outcomeconfirmdelete'] = 'Are ye sure ye wish to delete the outcome "{$a}"?';
$string['overriddennotice'] = 'Yer final grade from this activity was manually adjusted.';
$string['scaleconfirmdelete'] = 'Are ye sure ye wish to delete the scale "{$a}"?';
$string['setcategorieserror'] = 'Ye must first set the categories for yer course before ye can give weights to them.';
$string['yourgrade'] = 'Yer grade';
