<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'scorm', language 'en_ar', version '2.2'.
 *
 * @package     scorm
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activityloading'] = 'Ye will be automatically redirected to the activity in';
$string['deleteattemptcheck'] = 'Are ye absolutely sure ye want to completely delete these attempts?';
$string['deleteuserattemptcheck'] = 'Are ye absolutely sure ye want to completely delete all yer attempts?';
$string['exceededmaxattempts'] = 'Ye have reached the maximum number of attempts.';
$string['finishscorm'] = 'If ye have finished viewing this resource, {$a}';
$string['forcejavascriptmessage'] = 'JavaScript is required to view this object, please enable JavaScript in yer browser and try again.';
$string['invalidmanifestresource'] = 'WARNING: The following resources were referenced in yer manifest but couldn\'t be found:';
$string['noattemptsmade'] = 'Number of attempts ye have made';
$string['noscriptnoscorm'] = 'Yer browser does not support JavaScript or it has JavaScript support disabled. This SCORM package may not play or save data correctly.';
$string['scormtype_help'] = 'This setting determines how the package is included in the course. There are up to 4 options:

* Uploaded package - Enables a SCORM package to be chosen via the file picker
* External SCORM manifest - Enables an imsmanifest.xml URL to be specified. Note: If the URL has a different domain name than yer site, then "Downloaded package" is a better option, since otherwise grades are not saved.
* Downloaded package - Enables a package URL to be specified. The package will be unzipped and saved locally, and updated when the external SCORM package is updated.
* Local IMS content repository - Enables a package to be selected from within an IMS repository
* External AICC URL - this URL is the launch URL for a single AICC Activity.  A psuedo package will be constructed around this.';
$string['validationtype'] = 'This preference set the DOMXML library used for validating SCORM Manifest. If ye don\'t know leave the selected choice.';
